Schéma électronique et PCB de mon horloge Nixie basée sur un ESP32.
Le soft est là : https://code.laurentclaude.fr/laurent/Horloge_Nixie_firmware

## Utilisation
Réalisé avec Kicad (logiciel libre) - https://www.kicad.org/

## Licence - CC BY-SA 4.0
Je publie ce schéma en Open Source Hardware suivant les conditions : Creative Commons Attribution-ShareAlike 4.0 International - https://www.creativecommons.org/licenses/by-sa/4.0/

## Contexte matériel
J'utilise ces modules tout prêts :
- ESP32-S3-DevKitC-1 : https://docs.espressif.com/projects/esp-idf/en/latest/esp32s3/hw-reference/esp32s3/user-guide-devkitc-1.html
- Tiny RTC DS1307 : https://fr.aliexpress.com/item/1005001784103081.html
- Alimentation Booster 5V-12V à 150V-220V : https://www.electronics-lab.com/project/hv-nixie-dc-dc-switching-power-supply/ https://fr.aliexpress.com/item/1005003145632757.html

## Les modules
### ESP32 DevKit - affectation des broches

J1 (left)
No. | Name | Type | Function | Utilisation
 --- | --- | --- | --- | ---
1 | 3V3 | P | 3.3 V power supply |
2 | 3V3 | P | 3.3 V power supply |
3 | RST | I | EN |
4 | 4 | I/O/T | RTC_GPIO4, GPIO4, TOUCH4, ADC1_CH3 | BCD4 vers 74141
5 | 5 | I/O/T | RTC_GPIO5, GPIO5, TOUCH5, ADC1_CH4 | Nixie M01
6 | 6 | I/O/T | RTC_GPIO6, GPIO6, TOUCH6, ADC1_CH5 | Nixie M10
7 | 7 | I/O/T | RTC_GPIO7, GPIO7, TOUCH7, ADC1_CH6 | Nixie H01
8 | 15 | I/O/T | RTC_GPIO15, GPIO15, U0RTS, ADC2_CH4, XTAL_32K_P |
9 | 16 | I/O/T | RTC_GPIO16, GPIO16, U0CTS, ADC2_CH5, XTAL_32K_N |
10 | 17 | I/O/T | RTC_GPIO17, GPIO17, U1TXD, ADC2_CH6 |
11 | 18 | I/O/T | RTC_GPIO18, GPIO18, U1RXD, ADC2_CH7, CLK_OUT3 |
12 | 8 | I/O/T | RTC_GPIO8, GPIO8, TOUCH8, ADC1_CH7, SUBSPICS1 | Nixie H10
13 | 3 | I/O/T | RTC_GPIO3, GPIO3, TOUCH3, ADC1_CH2 | BCD3 vers 74141
14 | 46 | I/O/T | GPIO46 |
15 | 9 | I/O/T | RTC_GPIO9, GPIO9, TOUCH9, ADC1_CH8, FSPIHD, SUBSPIHD |
16 | 10 | I/O/T | RTC_GPIO10, GPIO10, TOUCH10, ADC1_CH9, FSPICS0, FSPIIO4, SUBSPICS0 |
17 | 11 | I/O/T | RTC_GPIO11, GPIO11, TOUCH11, ADC2_CH0, FSPID, FSPIIO5, SUBSPID |
18 | 12 | I/O/T | RTC_GPIO12, GPIO12, TOUCH12, ADC2_CH1, FSPICLK, FSPIIO6, SUBSPICLK |
19 | 13 | I/O/T | RTC_GPIO13, GPIO13, TOUCH13, ADC2_CH2, FSPIQ, FSPIIO7, SUBSPIQ |
20 | 14 | I/O/T | RTC_GPIO14, GPIO14, TOUCH14, ADC2_CH3, FSPIWP, FSPIDQS, SUBSPIWP |
21 | 5V | P | 5 V power supply |
22 | G | G | Ground |

J3 (right)
No. | Name | Type | Function | Utilisation
 --- | --- | --- | --- | ---
1 | G | G | Ground |
2 | TX | I/O/T | U0TXD, GPIO43, CLK_OUT1 |
3 | RX | I/O/T | U0RXD, GPIO44, CLK_OUT2 |
4 | 1 | I/O/T | RTC_GPIO1, GPIO1, TOUCH1, ADC1_CH0 | BCD1 vers 74141
5 | 2 | I/O/T | RTC_GPIO2, GPIO2, TOUCH2, ADC1_CH1 | BCD2 vers 74141
6 | 42 | I/O/T | MTMS, GPIO42 | I2C_SDA
7 | 41 | I/O/T | MTDI, GPIO41, CLK_OUT1 | I2C_SCL
8 | 40 | I/O/T | MTDO, GPIO40, CLK_OUT2 |
9 | 39 | I/O/T | MTCK, GPIO39, CLK_OUT3, SUBSPICS1 |
10 | 38 | I/O/T | GPIO38, FSPIWP, SUBSPIWP, RGB LED |
11 | 37 | I/O/T | SPIDQS, GPIO37, FSPIQ, SUBSPIQ | Rotary Encoder Switch
12 | 36 | I/O/T | SPIIO7, GPIO36, FSPICLK, SUBSPICLK | Rotary Encoder B
13 | 35 | I/O/T | SPIIO6, GPIO35, FSPID, SUBSPID | Rotary Encoder A
14 | 0 | I/O/T | RTC_GPIO0, GPIO0 |
15 | 45 | I/O/T | GPIO45 |
16 | 48 | I/O/T | GPIO48, SPICLK_N, SUBSPICLK_N_DIFF |
17 | 47 | I/O/T | GPIO47, SPICLK_P, SUBSPICLK_P_DIFF |
18 | 21 | I/O/T | RTC_GPIO21, GPIO21 |
19 | 20 | I/O/T | RTC_GPIO20, GPIO20, U1CTS, ADC2_CH9, CLK_OUT1, USB_D+ | USB D+
20 | 19 | I/O/T | RTC_GPIO19, GPIO19, U1RTS, ADC2_CH8, CLK_OUT2, USB_D- | USB D-
21 | G | G | Ground |
22 | G | G | Ground |


### Tiny RTC DS1307 - affectation des broches

No. | Type | Name | Utilisation
 --- | --- | --- | ---
1 | I/O | SCL | I2C SCL
2 | I/O | SDA | I2C SDA
3 | P | 5 V | +5V
4 | G | Ground | Ground
5 | O | SQW |

### Alimentation Booster 5V-12V à 150V-220V - affectation des broches

No. | Type | Name | Utilisation
 --- | --- | --- | ---
1 | P | 5 V | +5V
2 | G | Ground | Ground

No. | Type | Name | Utilisation
 --- | --- | --- | ---
3 | I | SHDN | Ground (always enable)
4 | G | Ground | Ground
5 | P | 180 V | +180V
